#version 150

uniform sampler2D Sampler0;
uniform vec4 ColorModulator;
uniform float FogStart;
uniform float FogEnd;
uniform vec4 FogColor;

in float vertexDistance;
in vec4 vertexColor;
in vec2 texCoord0;

out vec4 fragColor;

void main() {
    vec4 color = texture(Sampler0, texCoord0) * vertexColor * ColorModulator;
    if (color.a < 0.1) {
        discard;
    }
    if (color.r > 0.2479 && color.r < 0.2481) {
        color = vec4(1.0, 1.0, 1.0, 1.0);
    }
    if(color.r <= 126.50/255.0 && color.r > 126.49/255.0 && color.g == 252/255.0 && color.b <= 31.63/255.0 && color.b > 31.62/255.0){
        color = vec4(0.7176, 0.8549, 0.4471, color.a);

    }
    fragColor = mix(color, FogColor, (vertexDistance - FogStart) / (FogEnd - FogStart));
}
